SOELIM(1)

NAZWA
soelim - interpretuje żądania .so w wejściu groff

SKŁADNIA
soelim [-Crtv] [-I dir] [pliki ...]

Możliwe jest oddzielenie opcji linii poleceń -I od jej argumentu za pomocą białego znaku.

OPIS
soelim czyta pliki i zastępuje wiersze o postaci

    .so plik

zawartością pliku. Przydaje się, gdy zachodzi potrzeba wstępnego przetworzenia (preprocessing) plików włączonych przy pomocy .so. Zwykle soelim powinien być wywoływany opcją -s programu groff.

Aby użyć "\" w nazwie pliku, należy napisać "\\" lub "\e". Aby użyć znaku spacji, należy napisać "\ ". Inne sekwencje kodujące w pliku powodują, że soelim ignoruje całą linię.

Proszę zauważyć, że początkowa kropka nie może być oddzielona spacjami od następujących po niej znaków "s" oraz "o". W przeciwnym wypadku tylko .groff zinterpretuje żądanie .so (a soelim je zignoruje).

OPCJE

-C  Rozpoznaje .so, nawet jeśli jest poprzedzone znakiem innym niż spacja czy znak nowej linii.

-Ikatalog
    Opcji tej można użyć do dodania katalogu do ścieżki przeszukiwań plików (zarówno tych podanych w linii poleceń, jak i tych wymienionych w żądaniach .so). Ścieżka poszukiwań jest inicjowana nazwą katalogu bieżącego. Opcji można użyć więcej niż raz; katalogi będą przeszukiwane w podanym porządku (jednakże przez katalogiem bieżącym). Aby bieżący katalog był czytany przed innymi katalogami, należy dodać -I. w odpowiednim miejscu.

    Żaden katalog nie jest przeszukiwany dla plików podanych za pomocą bezwzględnej ścieżki.

-r  Nie dodaje żądań .lf (do ogólnego użytku z plikami niebędącymi w formacie groffa).

-t  Nie produkuje żądań .lf, ale linie komentarza TeX (zaczynające się od "%") zawierające nazwę bieżącego pliku i numer linii.

-v  Wyświetla numer wersji.

UŻYCIE
Zwykła sekwencja procesowanie groffa jest następująca:

          input        sourced
          file          file
            |             |
            v             v
        preprocessor -> troff -> postprocessor
                                      |
                                      v
                                   output
                                    file

To jest pliki dołączane za pomocą .so są zazwyczaj czytane tylko przez troffa (właściwy program formatujący). troff nie wymaga programu soelim do dołączania plików.

Jeśli plik do wczytania także powinien być preprocesowany, to musi zostać odczytany zanim pliki wejściowe przejdą przez preprocesor. soelim to obsługuje:

          input
          file
            |
            v
          soelim -> preprocessor -> troff -> postprocessor
            ^                                     |
            |                                     v
         sourced                               output
          file                                  file

ZOBACZ TAKŻE
groff(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.22.2 oryginału.